## kxmlgui 5.92.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.92.0") # handled by release scripts
set(KF_DEP_VERSION "5.92.0") # handled by release scripts
project(KXmlGui VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 5.92.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(ECMMarkNonGuiExecutable)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)
include(ECMGenerateExportHeader)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(ECMQtDeclareLoggingCategory)
include(CMakeDependentOption)

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX KXMLGUI
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kxmlgui_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5XmlGuiConfigVersion.cmake"
                  SOVERSION 5)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(FORCE_DISABLE_KGLOBALACCEL "Force building KXmlGui without KGlobalAccel. Doing this will break global shortcut support. [default=OFF]" OFF)
option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

cmake_dependent_option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON "NOT CMAKE_CROSSCOMPILING" OFF)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

# Dependencies
set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets Xml Network PrintSupport)
# On non-Apple UNIX DBus is required, on Apple Unix & Windows optional and it does not exist on Android
if(UNIX AND NOT APPLE)
    if(NOT ANDROID)
        find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
    endif()
else()
    find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} OPTIONAL_COMPONENTS DBus)
endif()

find_package(KF5CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5ItemViews ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF5ConfigWidgets ${KF_DEP_VERSION} REQUIRED)
find_package(KF5GuiAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF_DEP_VERSION} REQUIRED)

if (NOT FORCE_DISABLE_KGLOBALACCEL AND NOT WIN32 AND NOT APPLE AND NOT ANDROID)
    find_package(KF5GlobalAccel ${KF_DEP_VERSION} REQUIRED)
endif()
set (HAVE_GLOBALACCEL ${KF5GlobalAccel_FOUND})
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055100)
add_definitions(-DTRANSLATION_DOMAIN=\"kxmlgui5\")
ki18n_install(po)

# Subdirectories
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5XmlGui")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5XmlGui_QCH
        FILE KF5XmlGuiQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5XmlGuiQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5XmlGuiConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5XmlGuiConfig.cmake"
  PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5XmlGuiConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5XmlGuiConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5XmlGuiTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5XmlGuiTargets.cmake NAMESPACE KF5:: )

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kxmlgui_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KXmlGui COMPONENT Devel
)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kxmlgui (5.92.0-0ubuntu2) jammy; urgency=medium

  * No-change rebuild against Qt 5.15.3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 17 Mar 2022 18:36:46 +0300

kxmlgui (5.92.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.92.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:29:15 +0000

kxmlgui (5.91.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)
  * Update installed files
  * Adjust libkf5xmlgui-dev.acc.in because of the *_version.h
    installation path change in KDE Frameworks 5.91

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 17:10:26 +0000

kxmlgui (5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:49:30 +0000

kxmlgui (5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:18:10 +0000

kxmlgui (5.88.0-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Keep our symbols files.
    - Keep our maintscripts conffile removal.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 11:27:52 +0000

kxmlgui (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Drop upstream included patch.
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:42 +0900

kxmlgui (5.88.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.88.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Nov 2021 18:21:01 +0000

kxmlgui (5.87.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.87.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 11 Nov 2021 11:07:47 +0000

kxmlgui (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 11:02:21 +0900

kxmlgui (5.85.0-3) unstable; urgency=medium

  * Team upload.

  [ Norbert Preining ]
  * Really disable BLHC of Salsa CI.

  [ Pino Toscano ]
  * Bump Standards-Version to 4.6.0, no changes required.
  * Remove the unused debian/meta/ stuff.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.
  * Use /usr/share/dpkg/vendor.mk to get the vendor name instead of querying
    it manually.
  * Update symbols file.

 -- Pino Toscano <pino@debian.org>  Mon, 30 Aug 2021 20:10:14 +0200

kxmlgui (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:49 +0900

kxmlgui (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:06:29 +0900

kxmlgui (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:11 +0900

kxmlgui (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 13:25:32 +0900

kxmlgui (5.82.0-2) experimental; urgency=medium

  [ Norbert Preining ]
  * Revert upstream commit that breaks initial windows size of konsole.
    Upstream is working on proper fix.

 -- Norbert Preining <norbert@preining.info>  Mon, 10 May 2021 05:37:32 +0900

kxmlgui (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:22:17 +0900

kxmlgui (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:21 +0900

kxmlgui (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:36 +0900

kxmlgui (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Remove graphviz from build depends.
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:30 +0900

=== debian/control ===
Source: kxmlgui
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.92.0~),
               libkf5attica-dev (>= 5.92.0~),
               libkf5config-dev (>= 5.92.0~),
               libkf5configwidgets-dev (>= 5.92.0~),
               libkf5coreaddons-dev (>= 5.92.0~),
               libkf5globalaccel-dev (>= 5.92.0~),
               libkf5guiaddons-dev (>= 5.92.0~),
               libkf5i18n-dev (>= 5.92.0~),
               libkf5iconthemes-dev (>= 5.92.0~),
               libkf5itemviews-dev (>= 5.92.0~),
               libkf5widgetsaddons-dev (>= 5.92.0~),
               libkf5windowsystem-dev (>= 5.92.0~),
               libqt5sql5-sqlite,
               libqt5x11extras5-dev (>= 5.4),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qtbase5-private-dev (>= 5.7.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kxmlgui
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlgui
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlgui
Rules-Requires-Root: no

Package: libkf5xmlgui-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the runtime files.

Package: libkf5xmlgui-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5xmlgui5 (<< 5.74)
Replaces: libkf5xmlgui5 (<< 5.74)
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the data files.

Package: libkf5xmlgui-dev
Section: libdevel
Architecture: any
Depends: libkf5attica-dev (>= 5.92.0~),
         libkf5config-dev (>= 5.92.0~),
         libkf5configwidgets-dev (>= 5.92.0~),
         libkf5globalaccel-dev (>= 5.92.0~),
         libkf5iconthemes-dev (>= 5.92.0~),
         libkf5itemviews-dev (>= 5.92.0~),
         libkf5windowsystem-dev (>= 5.92.0~),
         libkf5xmlgui5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5xmlgui-doc (= ${source:Version})
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 Contains development files for kxmlgui.
Breaks: kio-dev (<< 5.28),
        libkf5bookmarks-dev (<< 5.54),
        libkf5kcmutils-dev (<< 5.54),
        libkf5kio-dev (<< 5.54),
        libkf5newstuff-dev (<< 5.54),
        libkf5parts-dev (<< 5.54),
Multi-Arch: same

Package: libkf5xmlgui-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: User configurable main windows (documentation)
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5xmlgui5
Architecture: any
Multi-Arch: same
Depends: libkf5xmlgui-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5xmlgui-bin (= ${binary:Version})
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.

## kxmlgui 5.98.0

=== debian/changelog ===
kxmlgui (5.98.0-0ubuntu2) kinetic; urgency=medium

  * No-change rebuild against Qt 5.15.6.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 17 Sep 2022 17:34:35 +0300

kxmlgui (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:34:09 +0100

kxmlgui (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:06:30 +0100

kxmlgui (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:32:10 +0100

kxmlgui (5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:58:01 +0100

kxmlgui (5.94.0-0ubuntu2) kinetic; urgency=medium

  * No-change rebuild against Qt 5.15.4.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 17 May 2022 13:01:00 +0300

kxmlgui (5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)
  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:21:44 +0100

kxmlgui (5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:25:08 +0100

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,18 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.92.0~),
-               libkf5attica-dev (>= 5.92.0~),
-               libkf5config-dev (>= 5.92.0~),
-               libkf5configwidgets-dev (>= 5.92.0~),
-               libkf5coreaddons-dev (>= 5.92.0~),
-               libkf5globalaccel-dev (>= 5.92.0~),
-               libkf5guiaddons-dev (>= 5.92.0~),
-               libkf5i18n-dev (>= 5.92.0~),
-               libkf5iconthemes-dev (>= 5.92.0~),
-               libkf5itemviews-dev (>= 5.92.0~),
-               libkf5widgetsaddons-dev (>= 5.92.0~),
-               libkf5windowsystem-dev (>= 5.92.0~),
+               extra-cmake-modules (>= 5.98.0~),
+               libkf5attica-dev (>= 5.98.0~),
+               libkf5config-dev (>= 5.98.0~),
+               libkf5configwidgets-dev (>= 5.98.0~),
+               libkf5coreaddons-dev (>= 5.98.0~),
+               libkf5globalaccel-dev (>= 5.98.0~),
+               libkf5guiaddons-dev (>= 5.98.0~),
+               libkf5i18n-dev (>= 5.98.0~),
+               libkf5iconthemes-dev (>= 5.98.0~),
+               libkf5itemviews-dev (>= 5.98.0~),
+               libkf5widgetsaddons-dev (>= 5.98.0~),
+               libkf5windowsystem-dev (>= 5.98.0~),
                libqt5sql5-sqlite,
                libqt5x11extras5-dev (>= 5.4),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -59,13 +59,13 @@
 Package: libkf5xmlgui-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5attica-dev (>= 5.92.0~),
-         libkf5config-dev (>= 5.92.0~),
-         libkf5configwidgets-dev (>= 5.92.0~),
-         libkf5globalaccel-dev (>= 5.92.0~),
-         libkf5iconthemes-dev (>= 5.92.0~),
-         libkf5itemviews-dev (>= 5.92.0~),
-         libkf5windowsystem-dev (>= 5.92.0~),
+Depends: libkf5attica-dev (>= 5.98.0~),
+         libkf5config-dev (>= 5.98.0~),
+         libkf5configwidgets-dev (>= 5.98.0~),
+         libkf5globalaccel-dev (>= 5.98.0~),
+         libkf5iconthemes-dev (>= 5.98.0~),
+         libkf5itemviews-dev (>= 5.98.0~),
+         libkf5windowsystem-dev (>= 5.98.0~),
          libkf5xmlgui5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},

## kxmlgui 5.101.0

=== debian/changelog ===
kxmlgui (5.101.0-0ubuntu3) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.8.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 14 Jan 2023 10:32:53 +0300

kxmlgui (5.101.0-0ubuntu2) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.7.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 10 Dec 2022 21:28:50 +0300

kxmlgui (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:22:49 +0000

kxmlgui (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:17:04 +0000

kxmlgui (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 11:01:21 +0000

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,18 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.98.0~),
-               libkf5attica-dev (>= 5.98.0~),
-               libkf5config-dev (>= 5.98.0~),
-               libkf5configwidgets-dev (>= 5.98.0~),
-               libkf5coreaddons-dev (>= 5.98.0~),
-               libkf5globalaccel-dev (>= 5.98.0~),
-               libkf5guiaddons-dev (>= 5.98.0~),
-               libkf5i18n-dev (>= 5.98.0~),
-               libkf5iconthemes-dev (>= 5.98.0~),
-               libkf5itemviews-dev (>= 5.98.0~),
-               libkf5widgetsaddons-dev (>= 5.98.0~),
-               libkf5windowsystem-dev (>= 5.98.0~),
+               extra-cmake-modules (>= 5.101.0~),
+               libkf5attica-dev (>= 5.101.0~),
+               libkf5config-dev (>= 5.101.0~),
+               libkf5configwidgets-dev (>= 5.101.0~),
+               libkf5coreaddons-dev (>= 5.101.0~),
+               libkf5globalaccel-dev (>= 5.101.0~),
+               libkf5guiaddons-dev (>= 5.101.0~),
+               libkf5i18n-dev (>= 5.101.0~),
+               libkf5iconthemes-dev (>= 5.101.0~),
+               libkf5itemviews-dev (>= 5.101.0~),
+               libkf5widgetsaddons-dev (>= 5.101.0~),
+               libkf5windowsystem-dev (>= 5.101.0~),
                libqt5sql5-sqlite,
                libqt5x11extras5-dev (>= 5.4),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -59,13 +59,13 @@
 Package: libkf5xmlgui-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5attica-dev (>= 5.98.0~),
-         libkf5config-dev (>= 5.98.0~),
-         libkf5configwidgets-dev (>= 5.98.0~),
-         libkf5globalaccel-dev (>= 5.98.0~),
-         libkf5iconthemes-dev (>= 5.98.0~),
-         libkf5itemviews-dev (>= 5.98.0~),
-         libkf5windowsystem-dev (>= 5.98.0~),
+Depends: libkf5attica-dev (>= 5.101.0~),
+         libkf5config-dev (>= 5.101.0~),
+         libkf5configwidgets-dev (>= 5.101.0~),
+         libkf5globalaccel-dev (>= 5.101.0~),
+         libkf5iconthemes-dev (>= 5.101.0~),
+         libkf5itemviews-dev (>= 5.101.0~),
+         libkf5windowsystem-dev (>= 5.101.0~),
          libkf5xmlgui5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},

## kxmlgui 5.103.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.92.0") # handled by release scripts
-set(KF_DEP_VERSION "5.92.0") # handled by release scripts
+set(KF_VERSION "5.103.0") # handled by release scripts
+set(KF_DEP_VERSION "5.103.0") # handled by release scripts
 project(KXmlGui VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 5.92.0  NO_MODULE)
+find_package(ECM 5.103.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -24,6 +24,7 @@
 include(KDECMakeSettings)
 include(KDEGitCommitHooks)
 include(ECMQtDeclareLoggingCategory)
+include(ECMDeprecationSettings)
 include(CMakeDependentOption)
 
 ecm_setup_version(PROJECT
@@ -66,8 +67,13 @@
     find_package(KF5GlobalAccel ${KF_DEP_VERSION} REQUIRED)
 endif()
 set (HAVE_GLOBALACCEL ${KF5GlobalAccel_FOUND})
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055100)
+
+ecm_set_disabled_deprecation_versions(
+    QT 5.15.2
+    KF 5.95
+    KCOREADDONS 5.86 # KPluginMetaData::extraInformation
+)
+
 add_definitions(-DTRANSLATION_DOMAIN=\"kxmlgui5\")
 ki18n_install(po)

=== debian/changelog ===
kxmlgui (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:30 +0100

kxmlgui (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:09 +0100

kxmlgui (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:33 +0100

kxmlgui (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:04 +0100

kxmlgui (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:47 +0200

kxmlgui (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).
  * Update symbols from build for 5.97.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:38 +0200

kxmlgui (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:07 +0200

kxmlgui (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).
  * Update symbols from build logs for 5.94.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:06 +0200

kxmlgui (5.93.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - drop all the manually specified addons and buildsystem for dh
  * Remove inactive Uploaders.
  * Update symbols file.
  * CI: enable again the blhc job.
  * Remove no more existing header from the 'acc' autopkgtest config.

 -- Pino Toscano <pino@debian.org>  Sun, 15 May 2022 09:30:07 +0200

kxmlgui (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:47 +0200

kxmlgui (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Update symbols from build for 5.90.0.
  * Update copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:44 +0100

=== debian/control ===
Source: kxmlgui
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               doxygen,
               extra-cmake-modules (>= 5.103.0~),
               libkf5attica-dev (>= 5.82.0~),
               libkf5config-dev (>= 5.103.0~),
               libkf5configwidgets-dev (>= 5.103.0~),
               libkf5coreaddons-dev (>= 5.103.0~),
               libkf5globalaccel-dev (>= 5.103.0~),
               libkf5guiaddons-dev (>= 5.103.0~),
               libkf5i18n-dev (>= 5.103.0~),
               libkf5iconthemes-dev (>= 5.103.0~),
               libkf5itemviews-dev (>= 5.103.0~),
               libkf5widgetsaddons-dev (>= 5.103.0~),
               libkf5windowsystem-dev (>= 5.77.0~),
               libqt5sql5-sqlite,
               libqt5x11extras5-dev (>= 5.4),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qtbase5-private-dev (>= 5.7.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kxmlgui
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kxmlgui
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kxmlgui.git
Rules-Requires-Root: no

Package: libkf5xmlgui-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the runtime files.

Package: libkf5xmlgui-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkf5xmlgui5 (<< 5.74),
Replaces: libkf5xmlgui5 (<< 5.74),
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the data files.

Package: libkf5xmlgui-dev
Section: libdevel
Architecture: any
Depends: libkf5attica-dev (>= 5.82.0~),
         libkf5config-dev (>= 5.103.0~),
         libkf5configwidgets-dev (>= 5.103.0~),
         libkf5globalaccel-dev (>= 5.103.0~),
         libkf5iconthemes-dev (>= 5.103.0~),
         libkf5itemviews-dev (>= 5.103.0~),
         libkf5windowsystem-dev (>= 5.77.0~),
         libkf5xmlgui5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5xmlgui-doc (= ${source:Version}),
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 Contains development files for kxmlgui.
Breaks: kio-dev (<< 5.28),
        libkf5bookmarks-dev (<< 5.54),
        libkf5kcmutils-dev (<< 5.54),
        libkf5kio-dev (<< 5.54),
        libkf5newstuff-dev (<< 5.54),
        libkf5parts-dev (<< 5.54),
Multi-Arch: same

Package: libkf5xmlgui-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: User configurable main windows (documentation)
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5xmlgui5
Architecture: any
Multi-Arch: same
Depends: libkf5xmlgui-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5xmlgui-bin (= ${binary:Version}),
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
Breaks: frameworkintegration (<< 5.70),
        kdesignerplugin (<< 5.70),
        kross (<< 5.70),
        ktexteditor-katepart (<< 5.70),
        libkf5bookmarks5 (<< 5.70),
        libkf5kcmutils5 (<< 5.70),
        libkf5kdelibs4support5 (<< 5.70),
        libkf5kdelibs4support5-bin (<< 5.70),
        libkf5khtml-bin (<< 5.70),
        libkf5khtml5 (<< 5.70),
        libkf5kiofilewidgets5 (<< 5.70),
        libkf5krossui5 (<< 5.70),
        libkf5mediaplayer5 (<< 5.70),
        libkf5newstuff5 (<< 5.70),
        libkf5parts-plugins (<< 5.70),
        libkf5parts5 (<< 5.70),
        libkf5plasma5 (<< 5.70),
        libkf5plasmaquick5 (<< 5.70),
        libkf5texteditor5 (<< 5.70),
        libkf5webkit5 (<< 5.70),
        plasma-framework (<< 5.70),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/vendor.mk

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DXMLGUI_DISTRIBUTION_TEXT="$(DEB_VENDOR) packages" -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## kxmlgui 5.104.0

=== debian/changelog ===
kxmlgui (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:18:50 +0000

kxmlgui (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:45:37 +0000

kxmlgui (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:59:05 +0000

=== debian/control ===
Source: kxmlgui
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.104.0~),
               libkf5attica-dev (>= 5.104.0~),
               libkf5config-dev (>= 5.104.0~),
               libkf5configwidgets-dev (>= 5.104.0~),
               libkf5coreaddons-dev (>= 5.104.0~),
               libkf5globalaccel-dev (>= 5.104.0~),
               libkf5guiaddons-dev (>= 5.104.0~),
               libkf5i18n-dev (>= 5.104.0~),
               libkf5iconthemes-dev (>= 5.104.0~),
               libkf5itemviews-dev (>= 5.104.0~),
               libkf5widgetsaddons-dev (>= 5.104.0~),
               libkf5windowsystem-dev (>= 5.104.0~),
               libqt5sql5-sqlite,
               libqt5x11extras5-dev (>= 5.4),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qtbase5-private-dev (>= 5.7.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kxmlgui
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlgui
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlgui
Rules-Requires-Root: no

Package: libkf5xmlgui-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the runtime files.

Package: libkf5xmlgui-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5xmlgui5 (<< 5.74)
Replaces: libkf5xmlgui5 (<< 5.74)
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the data files.

Package: libkf5xmlgui-dev
Section: libdevel
Architecture: any
Depends: libkf5attica-dev (>= 5.104.0~),
         libkf5config-dev (>= 5.104.0~),
         libkf5configwidgets-dev (>= 5.104.0~),
         libkf5globalaccel-dev (>= 5.104.0~),
         libkf5iconthemes-dev (>= 5.104.0~),
         libkf5itemviews-dev (>= 5.104.0~),
         libkf5windowsystem-dev (>= 5.104.0~),
         libkf5xmlgui5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5xmlgui-doc (= ${source:Version})
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 Contains development files for kxmlgui.
Breaks: kio-dev (<< 5.28),
        libkf5bookmarks-dev (<< 5.54),
        libkf5kcmutils-dev (<< 5.54),
        libkf5kio-dev (<< 5.54),
        libkf5newstuff-dev (<< 5.54),
        libkf5parts-dev (<< 5.54),
Multi-Arch: same

Package: libkf5xmlgui-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: User configurable main windows (documentation)
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5xmlgui5
Architecture: any
Multi-Arch: same
Depends: libkf5xmlgui-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5xmlgui-bin (= ${binary:Version})
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.

## kxmlgui 5.107.0

=== debian/changelog ===
kxmlgui (5.107.0-0xneon+22.04+jammy+release+build28) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 10:05:08 +0000

kxmlgui (5.107.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 08:08:09 +0000

kxmlgui (5.106.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 10:09:50 +0000

kxmlgui (5.105.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Apr 2023 12:34:21 +0000

kxmlgui (5.104.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2023 13:42:36 +0000

kxmlgui (5.103.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Feb 2023 12:03:32 +0000

kxmlgui (5.102.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 12:06:50 +0000

kxmlgui (5.101.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Dec 2022 12:14:07 +0000

kxmlgui (5.100.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Nov 2022 16:30:02 +0000

kxmlgui (5.99.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Oct 2022 12:37:36 +0000

kxmlgui (5.98.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2022 12:12:44 +0000

kxmlgui (5.97.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2022 13:40:28 +0000

kxmlgui (5.95.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Jun 2022 11:03:42 +0000

kxmlgui (5.92.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Mar 2022 13:50:34 +0000

kxmlgui (5.91.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jan 2022 15:07:31 +0000

kxmlgui (5.89.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Dec 2021 10:26:03 +0000

kxmlgui (5.88.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sun, 03 Oct 2021 09:08:09 +0000

kxmlgui (5.85.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Aug 2021 10:11:12 +0000

kxmlgui (5.84.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:19:48 +0000

kxmlgui (5.83.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 21:28:46 +0000

kxmlgui (5.82.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 May 2021 10:18:34 +0000

kxmlgui (5.81.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Apr 2021 18:12:38 +0000

kxmlgui (5.80.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 Mar 2021 14:19:39 +0000

kxmlgui (5.79.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Feb 2021 13:59:21 +0000

kxmlgui (5.78.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Jan 2021 12:27:08 +0000

kxmlgui (5.77.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Dec 2020 14:07:34 +0000

kxmlgui (5.76.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Nov 2020 11:32:53 +0000

kxmlgui (5.75.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Oct 2020 13:43:50 +0000

kxmlgui (5.74.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Sep 2020 13:34:19 +0000

kxmlgui (5.73.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Aug 2020 19:26:58 +0000

kxmlgui (5.72.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Jul 2020 15:44:25 +0000

kxmlgui (5.71.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Jun 2020 18:57:43 +0000

kxmlgui (5.70.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 May 2020 15:44:06 +0000

kxmlgui (5.69.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Apr 2020 18:20:52 +0000

kxmlgui (5.68.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Mar 2020 13:23:27 +0000

kxmlgui (5.67.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2020 21:07:12 +0000

kxmlgui (5.66.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Jan 2020 13:26:41 +0000

kxmlgui (5.65.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2019 17:38:24 +0000

kxmlgui (5.64.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Nov 2019 14:03:30 +0000

kxmlgui (5.63.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Oct 2019 21:24:43 +0000

kxmlgui (5.62.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Sep 2019 11:23:08 +0000

kxmlgui (5.61.90-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Aug 2019 18:54:42 +0000

kxmlgui (5.60.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 13 Jul 2019 15:49:34 +0000

kxmlgui (5.59.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jun 2019 18:13:39 +0000

kxmlgui (5.58.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 May 2019 13:18:10 +0000

kxmlgui (5.57.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Apr 2019 08:46:05 +0000

kxmlgui (5.56.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Mar 2019 16:01:02 +0000

kxmlgui (5.55.0-0neon) bionic; urgency=medium



=== debian/control ===
Source: kxmlgui
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.51.0~),
               graphviz,
               libkf5attica-dev (>= 5.51.0~),
               libkf5config-dev (>= 5.51.0~),
               libkf5configwidgets-dev (>= 5.51.0~),
               libkf5coreaddons-dev (>= 5.51.0~),
               libkf5globalaccel-dev (>= 5.51.0~),
               libkf5i18n-dev (>= 5.51.0~),
               libkf5iconthemes-dev (>= 5.51.0~),
               libkf5itemviews-dev (>= 5.51.0~),
               libkf5textwidgets-dev (>= 5.51.0~),
               libkf5widgetsaddons-dev (>= 5.51.0~),
               libkf5windowsystem-dev (>= 5.51.0~),
               libqt5sql5-sqlite,
               libqt5x11extras5-dev (>= 5.4),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qtbase5-private-dev (>= 5.7.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4)
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kxmlgui
Vcs-Git: https://invent.kde.org/neon/kde/kxmlgui.git
Vcs-Browser: https://invent.kde.org/neon/kde/kxmlgui
Maintainer: Neon CI <neon@kde.org>

Package: libkf5xmlgui-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the runtime files.

Package: libkf5xmlgui-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the data files.

Package: libkf5xmlgui-dev
Section: libdevel
Architecture: any
Depends: libkf5attica-dev (>= 5.51.0~),
         libkf5config-dev (>= 5.51.0~),
         libkf5configwidgets-dev (>= 5.51.0~),
         libkf5globalaccel-dev (>= 5.51.0~),
         libkf5iconthemes-dev (>= 5.51.0~),
         libkf5itemviews-dev (>= 5.51.0~),
         libkf5textwidgets-dev (>= 5.51.0~),
         libkf5windowsystem-dev (>= 5.51.0~),
         libkf5xmlgui5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5xmlgui-doc (= ${source:Version})
Breaks: kio-dev (<< 5.28),
        libkf5bookmarks-dev (<< 5.51),
        libkf5kcmutils-dev (<< 5.51),
        libkf5kio-dev (<< 5.51),
        libkf5newstuff-dev (<< 5.51),
        libkf5parts-dev (<< 5.51),
        libkf5xmlgui-doc (<< 5.70.0-0)
Replaces: libkf5xmlgui-doc (<< 5.70.0-0)
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 Contains development files for kxmlgui.

Package: libkf5xmlgui-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: User configurable main windows (documentation)
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5xmlgui5
Architecture: any
Multi-Arch: same
Depends: libkf5xmlgui-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5xmlgui-bin (= ${binary:Version})
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
Breaks: frameworkintegration (<< 5.28),
        kdesignerplugin (<< 5.51),
        kross (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5bookmarks5 (<< 5.51),
        libkf5kcmutils5 (<< 5.51),
        libkf5kdelibs4support5 (<< 5.51),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml-bin (<< 5.51),
        libkf5khtml5 (<< 5.51),
        libkf5kiofilewidgets5 (<< 5.51),
        libkf5krossui5 (<< 5.51),
        libkf5mediaplayer5 (<< 5.51),
        libkf5newstuff5 (<< 5.51),
        libkf5parts-plugins (<< 5.51),
        libkf5parts5 (<< 5.51),
        libkf5plasma5 (<< 5.51),
        libkf5plasmaquick5 (<< 5.42),
        libkf5texteditor5 (<< 5.51),
        libkf5webkit5 (<< 5.42),
        libkf5xmlgui-data (<< 5.53.0),
        plasma-framework (<< 5.51)
Replaces: libkf5xmlgui-data (<< 5.53.0)
